Subject: Re: bug#25826: 26.0.50; cl-mapc and cl-mapl do needless consing

From: [email-masked]
Date: Tue, 21 Feb 2017 08:40:18 -0500

Tino Calancha <[email-masked]> writes:

> Current implementation of cl-mapc (cl-mapl) uses `cl-mapcar'
> (`cl-maplist') when input contains > 1 sequence.  Thus,
> they cons the values and just discard then at the end.
>
> Following patch adds a defvar which acts as a flag for consing
> the values.  The flag is bind to nil in the case of `cl-mapc' and
> `cl-mapl'.

Is it possible to do this via a parameter instead?  Using a global
variable seems like asking for trouble in case of nested calls or
similar.